%global uuid    com.github.unrud.VideoDownloader

Name:           video-downloader
Version:        0.9.6
Release:        %mkrel 1
Summary:        Download videos from websites like YouTube and many others
Group:          Video
License:        GPLv3+
URL:            https://github.com/Unrud/video-downloader
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(glib-2.0)

Requires:       gtk3
Requires:       hicolor-icon-theme
Requires:       python3-xlib
Requires:       yt-dlp
Requires:       attr
Requires:       lib64handy1_0

%description
Download videos from websites with an easy-to-use interface. Provides the
following features:

- Convert videos to MP3
- Supports password-protected and private videos
- Download single videos or whole playlists
- Automatically selects a video format based on your preferred resolution

Based on youtube-dl.


%prep
%setup -q

%build
%meson
%meson_build


%install
rm -rf %buildroot
%meson_install

sd "Network;GTK;" "Audio;Video;" %buildroot/%{_datadir}/applications/*.desktop

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/metainfo/*.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
%update_menus

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
%clean_menus

%changelog
* Tue Mar 08 2022 tex - 0.9.6-1pclos2022
- new version

* Sun Oct 31 2021 tex - 0.9.4-1pclos2021
- new version

* Sun May 16 2021 tex - 0.8.3-1pclos2021
- new version

* Mon May 03 2021 tex - 0.8.2-1pclos2021
- new version

* Sat May 01 2021 tex - 0.8.1-1pclos2021
- new version

* Sun Apr 25 2021 tex - 0.8.0-2pclos2021
- add req lib64handy1_0

* Fri Apr 23 2021 tex - 0.8.0-1pclos2021
- new version

* Wed May 27 2020 daniel <meisssw01 at gmail.com> 0.2.9-1pclos2020
- update

* Tue Mar 24 2020 tex - 0.2.5-1pclos2020
- new version

* Wed Jan 15 2020 tex - 0.2.3-1pclos2020
- import from fed
